ConnectKit
ConnectKit Update 1.7.0

ConnectKit Update 1.7.0

This update moves peer dependencies wagmi and viem up to their latest versions.

This version of ConnectKit has breaking changes. Make sure your application is compatible by following the ConnectKit migration guide, and the wagmi 2.x migration guide.

New

  • Update peer dependency wagmi to version 2.x.
  • Update peer dependency viem to version 2.x.
  • New peer dependency @tanstack/react-query.

Deprecated

  • Remove dependency mipd.

Ready to get started?

ConnectKit makes connecting a wallet simple, for you and your users. Read the developer docs to get started in under 5 minutes.

An illustration of art supplies, a piping hot mug of coffee, and a few stacked textbooks. All the necessary equipment to create beautiful work.

Ready to get started?

ConnectKit makes connecting a wallet simple, for you and your users. Get started easily in under 5 minutes.